<ion-header class="ion-no-border">
  <ion-toolbar color="dark">

    <ion-buttos slot="start">
      <ion-back-button defaultHref = "/" color="tertiary">Regresar</ion-back-button>
    </ion-buttos>

    <ion-title>{{lista.titulo}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content color="dark">

  <ion-list color="dark">
    <ion-item color="dark">
      <ion-label position="floating">Nuevo pendiente: </ion-label>
      <ion-input type="text" [(ngModel)]="nombreItem"
        (keyup.enter) = "agregarItem()"
      ></ion-input>
    </ion-item>
  </ion-list>

  <ion-list>
    <ion-list-header color="dark">
      <ion-label>Pendientes por hacer...</ion-label>        
    </ion-list-header>

    <ion-item-sliding   
      class="animated fadeInDown"
      *ngFor="let item of lista.items; let i = index">
      <ion-item color="dark">
        <ion-checkbox 
          slot="start" 
          color="tertiary" 
          [(ngModel)]="item.completado"
          (ionChange) = "cambioCheck(item)"
          ></ion-checkbox>
        <ion-label>{{item.desc}}</ion-label>
      </ion-item>

      <ion-item-options side="end">
        <ion-item-option (click)="borrarItem(i)" color="danger">
          <ion-icon slot="icon-only" name="close"></ion-icon>
        </ion-item-option>
      </ion-item-options>

    </ion-item-sliding>

  </ion-list>

</ion-content>
